From 6ea77326553f23fcfc3835e9211a8d777380d9d8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9lestin=20Matte?= <gitlab@cmatte.me>
Date: Mon, 3 Apr 2023 11:24:29 +0200
Subject: [PATCH] pglister_sync: obtain subscriber_access from API

---
 loader/pglister_sync.py | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/loader/pglister_sync.py b/loader/pglister_sync.py
index d7e1925..94ef5c7 100755
--- a/loader/pglister_sync.py
+++ b/loader/pglister_sync.py
@@ -60,20 +60,22 @@ if __name__ == "__main__":
             'name': l['listname'],
         })
         if curs.rowcount == 0:
-            curs.execute("INSERT INTO lists (listname, shortdesc, description, active, groupid, subscriber_access) SELECT %(name)s, %(name)s, %(desc)s, 't', groupid, 'f' FROM listgroups WHERE groupname=%(groupname)s RETURNING listid, listname", {
+            curs.execute("INSERT INTO lists (listname, shortdesc, description, active, groupid, subscriber_access) SELECT %(name)s, %(name)s, %(desc)s, 't', groupid, %(subscriber_access)s FROM listgroups WHERE groupname=%(groupname)s RETURNING listid, listname", {
                 'name': l['listname'],
                 'desc': l['longdesc'],
                 'groupname': l['group']['groupname'],
+                'subscriber_access': l['subscriber_access'],
             })
             listid, name = curs.fetchone()
             print("Added list %s" % name)
         else:
             listid, name = curs.fetchone()
-            curs.execute("UPDATE lists SET shortdesc=%(name)s, description=%(desc)s, groupid=(SELECT groupid FROM listgroups WHERE groupname=%(groupname)s), active=true WHERE listid=%(id)s AND NOT (active AND shortdesc=%(name)s AND description=%(desc)s AND groupid=(SELECT groupid FROM listgroups WHERE groupname=%(groupname)s)) RETURNING listname", {
+            curs.execute("UPDATE lists SET shortdesc=%(name)s, description=%(desc)s, groupid=(SELECT groupid FROM listgroups WHERE groupname=%(groupname)s), active=true, subscriber_access=%(subscriber_access)s WHERE listid=%(id)s AND NOT (active AND shortdesc=%(name)s AND description=%(desc)s AND groupid=(SELECT groupid FROM listgroups WHERE groupname=%(groupname)s)) RETURNING listname", {
                 'id': listid,
                 'name': l['listname'],
                 'desc': l['longdesc'],
                 'groupname': l['group']['groupname'],
+                'subscriber_access': l['subscriber_access'],
             })
             for n, in curs.fetchall():
                 print("Updated list %s " % n)
-- 
2.40.0

